---
- name: docker app
  hosts: all
  become: yes



  tasks:

  - name: Install dependencies
    apt:
      name: "{{item}}"
      state: present
      update_cache: yes
    loop:
      - apt-transport-https
      - ca-certificates
      - curl
      - gnupg-agent
      - software-properties-common
      - python3-pip

  - name: install docker from pip
    pip:
      name: docker

  - name: Add GPG key
    apt_key:
      url: https://download.docker.com/linux/ubuntu/gpg
      state: present

  - name: Add repository docker
    apt_repository:
      repo: deb https://download.docker.com/linux/ubuntu bionic stable
      state: present
  - name: Install docker-compose from official github repo
    get_url:
      url : https://github.com/docker/compose/releases/download/1.29.2/docker-compose-Linux-x86_64
      dest: /usr/local/bin/docker-compose
      mode: 7777

  - name: Install docker
    apt:
      name: "{{item}}"
      state: latest
      update_cache: yes
    loop:
      - docker-ce
      - docker-ce-cli
      - containerd.io

  #Запускаю докер 
 # - name: Runnig docker container
 #   command: docker run --rm -d --name ApiApp -p 8080:80 datedocker
 
  - name: Re-create a redis container
    docker_container:
      name: myredis
      image: redis
      command: redis-server --appendonly yes
      state: present
      recreate: yes
      exposed_ports:
        - 8080:80
